Subject: Re: [PATCH v4 01/20] sparse-index: design doc and format update

From: Junio C Hamano <[email-masked]>
Date: Sat, 27 Mar 2021 18:47:11 -0700

SZEDER Gábor <[email-masked]> writes:

>> +To start, we use a new repository extension, `extensions.sparseIndex`, to
>> +allow inserting sparse-directory entries into indexes with file format
>> +versions 2, 3, and 4. This prevents Git versions that do not understand
>> +the sparse-index from operating on one, but it also prevents other
>> +operations that do not use the index at all.
>
> Why is this not a non-optional index extension?  ...
> This really should be a non-optional index extension.

Yeah, the index extension mechanism was designed with optional and
required kinds because we wanted to support exactly a use case like
this one.

Thanks for pointing it out.